<?php

/**

 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package seoland
 */

$seoland_options = seoland_get_options();

?>

<footer class="footer ht-bg-move">
   <div class="primary-footer">
    <div class="container">
       <div class="row">
        <div class="col-xl-4 col-md-12 pe-lg-5"><a class="footer-logo d-inline-block logo mb-4" href="<?php echo esc_url(home_url('/')); ?>">
          <?php if(isset($seoland_options['footer-logo']['url']) && $seoland_options['footer-logo']['url'] != ''){?>
              <img class="img-fluid" src="<?php echo esc_url($seoland_options['footer-logo']['url']); ?>" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              <?php }else{ ?>
              <img class="img-fluid" src="<?php echo get_template_directory_uri();?>/assets/images/logo-white.svg" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              <?php } ?>
       </a>
        <?php dynamic_sidebar( 'footer-info' ); ?> <div class="footer-subscribe"> <?php dynamic_sidebar( 'footer-subscribe' ); ?> </div></div>
        <div class="col-xl-4 col-lg-6 mt-5 mt-md-0"> <?php dynamic_sidebar( 'footer-cntct' ); ?> </div>
        <div class="col-xl-4 col-lg-6 mt-5 mt-lg-0"> <div class="row">
	<div class="col-md-6"> <?php dynamic_sidebar( 'footer-menu' ); ?> </div>
        <div class="col-md-6 mt-5 mt-md-0"> <?php dynamic_sidebar( 'footer-menu2' ); ?> </div>
	</div> </div>
        
      </div>
    </div>
  </div>
  <div class="secondary-footer">
    <div class="container">
        <div class="copyright">
      <div class="row align-items-center">
        <div class="col-lg-6">
          <?php if(isset($seoland_options['footer-copy-text'])){?>
                <div class="copyright-text"><?php echo wp_specialchars_decode(($seoland_options['footer-copy-text'])); ?></div>
                <?php } else{?>
              <div class="copyright-text"><?php echo esc_html__( 'Copyright © 2024 All Rights Reserved | Seoland Made by ThemeHt', 'seoland' ); ?></div>
              <?php } ?>
        </div>
        <div class="col-lg-6 text-lg-end mt-4 mt-lg-0">
            <?php dynamic_sidebar( 'footer-social' ); ?>
            </div>
      </div>
      </div>
    </div>
  </div>
</footer>

</div><!-- #page -->

<!--back-to-top start-->

<div class="scroll-top"><a class="smoothscroll" href="#top"><img class="img-fluid" src="<?php echo get_template_directory_uri();?>/assets/images/rocket.gif" alt="<?php echo esc_attr__( 'Back To Top Img', 'seoland' )?>"></a></div>

<!--back-to-top end-->


<?php wp_footer(); ?>

</body>

</html>

