<?php

/**

 * The header for our theme
 *

 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *

 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *

 * @package seoland
 */

$seoland_options = seoland_get_options();

?>

<!doctype html>

<html <?php language_attributes(); ?>>

<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="author" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="https://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>


<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<div id="page-wrapper" class="page-wrapper">

<!-- preloader start -->

<?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { 
  if ($seoland_options['loader-switch']) { ?>
    <div id="ht-preloader">
      <div class="loader clear-loader">
        <img class="img-fluid" src="<?php echo esc_url($seoland_options['site-loader']['url']); ?>" alt="<?php echo esc_attr__( 'Lodaer Img', 'seoland' )?>">
      </div>
    </div>
  <?php }
 }else{ ?>
<div id="ht-preloader">
      <div class="loader clear-loader"><img class="img-fluid" src="<?php echo get_template_directory_uri();?>/assets/images/loader.png" alt="<?php echo esc_attr__( 'Lodaer Img', 'seoland' )?>">
      </div>
    </div>
<?php } ?>

<!-- preloader end -->

<?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
            <?php if($seoland_options['particle-switch']){?>
              <div id="particles-js"></div>
            <?php } ?>
            <?php }?>



<!--header start-->

<header id="site-header" class="header">
    <div id="header-wrap">
        <div class="container-fluid">
      <div class="row">
          <div class="col">
              <nav class="ht-navigation">
             <a class="navbar-brand logo m-0" href="<?php echo esc_url(home_url('/')); ?>">
          <?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
              <img class="img-fluid" src="<?php echo esc_url($seoland_options['site-logo']['url']); ?>" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              <?php }else{ ?>
              <img class="img-fluid" src="<?php echo get_template_directory_uri();?>/assets/images/logo.svg" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              <?php } ?>
       </a>
              
              <div class="ht-mobile-menu-bg"></div>
             <div class="navigation-top">
            <?php wp_nav_menu( array( 'container_class' => 'main-nav', 'theme_location' => 'menu-1' ) ); ?>
            
            <button id="menu-toggle" class="nav-menu-toggle ht-toggler" type="button"><i class="bi bi-list"></i></button>
        </div>
        <div class="right-nav align-items-center d-flex justify-content-end">
            <?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
            <?php if ( $seoland_options ['header-cart-btn'] == '1' ){ ?>
          <div class="header-cart-inner"><?php echo do_shortcode("[woo_cart_but]"); ?></div>
          <?php }?>
                <?php if($seoland_options['header-right-btn']){?>
                <a class="header-btn" href="<?php echo esc_url($seoland_options['url']); ?>"><?php echo wp_specialchars_decode(esc_attr($seoland_options['header-btn']));?> <i class="bi bi-arrow-right"></i></a>
             <?php } ?>
            
            <?php if($seoland_options['header-sidenav-switch']){?>
              <a href="#" class="ht-nav-toggle">
              <img class="img-fluid" src="<?php echo get_template_directory_uri();?>/assets/images/grid-icon.svg" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              </a>
            <?php } ?>
            <?php }?>
            </div>
          </nav>
          </div>
        </div>
      </div>
  </div>
</header>

<!--header end-->

<?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
<nav id="ht-main-nav"> <a href="#" class="ht-nav-toggle active"><i class="bi bi-x-lg"></i></a>
<a class="navbar-brand logo d-inline-block mb-3" href="<?php echo esc_url(home_url('/')); ?>">
          <?php if( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
              <img class="img-fluid" src="<?php echo esc_url($seoland_options['site-logo']['url']); ?>" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              <?php }else{ ?>
              <img class="img-fluid" src="<?php echo get_template_directory_uri();?>/assets/images/logo.svg" alt="<?php echo esc_attr__( 'Logo Img', 'seoland' )?>">
              <?php } ?>
       </a>
       <p><?php echo wp_specialchars_decode(($seoland_options['header-text']));?></p>
       <h4><?php echo esc_html__( 'Contact Info', 'seoland' ); ?></h4>
  <div class="contact-link">
  <ul class="contact-info list-unstyled">
    <li><i class="flaticon flaticon-gps-1"></i>
      <span><?php echo esc_html__( 'Address:', 'seoland' ); ?></span>
      <p><?php echo wp_specialchars_decode(esc_attr($seoland_options['header-address']));?></p>
    </li>
    <li>
    <i class="flaticon-email"></i>
    <span><?php echo esc_html__( 'Email:', 'seoland' ); ?></span>
      <a href="mailto:<?php echo wp_specialchars_decode(esc_html($seoland_options['header-mail']));?>"><?php echo wp_specialchars_decode(esc_attr($seoland_options['header-mail']));?></a>
    </li>
    <li>
    <i class="flaticon flaticon-mobile"></i>
    <span><?php echo esc_html__( 'Phone:', 'seoland' ); ?></span>
      <a href="tel:<?php echo wp_specialchars_decode(esc_html($seoland_options['header-call']));?>"><?php echo wp_specialchars_decode(esc_attr($seoland_options['header-call']));?></a>
    </li>
  </ul>
</div>
<div class="social-icons mt-5">
              <ul class="list-inline">
                <?php if(isset($seoland_options['opt-social-media-id'])) {
          $seoland_list = $seoland_options['opt-social-media-id'];
          foreach($seoland_list as $seoland_key => $seoland_val) {
              if($seoland_val) { ?>
                  <li>
                    <a href="<?php  echo esc_url($seoland_val); ?>">
                      <i class="<?php echo esc_attr($seoland_key); ?>"></i>
                    </a>
                  </li> <?php
              } 
          }
      } ?>
              </ul>
            </div>
</nav>
<?php } ?>



<?php if ( is_front_page())  {
  // do nothing..
 }else{
?>
<?php
require get_parent_theme_file_path('inc/breadcrumb-title.php'); ?>
<?php }?>