<?php
/**
 * Redux Framework Sample Metabox Config File
 * For full documentation, please visit: http:https://devs.redux.io/
 * Metabox Lite support the following fields only:  checkbox, radio, text, textarea, media, & color
 * Post Format and Post Template options are not avaialble in Metabox Lite.
 * These advanced options are available in Redux Pro.
 *
 * @package Redux Framework
 */

defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'Redux_Metaboxes' ) ) {
	return;
}

Redux_Metaboxes::set_box(
	$opt_name,
	array(
		'id'         => 'opt-metaboxes-1',
		'title'      => esc_html__( 'Breadcrumb and Page Title Show/Hide', 'seoland' ),
		'post_types' => array( 'page', 'post' ),
		'position'   => 'normal', // normal, advanced, side.
		'priority'   => 'core', // high, core, default, low.
		'sections'   => array(
			array(
				'id'     => 'themeht-breadcrumb',
				'icon'   => 'el-icon-cogs',
				'fields' => array(

					array(
				        'id'       => 'header-page-switch',
				        'type'     => 'select',
				        // Must provide key => value pairs for select options
				        'options'  => array(
				            '1' => __( 'Show', 'techify' ),
				            '0' => __( 'Hide', 'techify' ),
				        ),
				        'default'  => '',
				    ),
				    array(
				        'id'       => 'header-breadcrumb-switch',
				        'type'     => 'select',
				        // Must provide key => value pairs for select options
				        'options'  => array(
				            '1' => __( 'Show', 'techify' ),
				            '0' => __( 'Hide', 'techify' ),
				        ),
				        'default'  => '',
				    ),
				),
			),
		),
	)
);

Redux_Metaboxes::set_box(
	$opt_name,
	array(
		'id'         => 'opt-metaboxes-2',
		'title'      => esc_html__( 'Color Options', 'seoland' ),
		'post_types' => array( 'page', 'post' ),
		'position'   => 'normal', // normal, advanced, side.
		'priority'   => 'high', // high, core, default, low.
		'sections'   => array(
			array(
				'id'     => 'themeht-color',
				'icon'   => 'el-icon-cogs',
				'fields' => array(

					array(
        			    'id'        => 'themeht-primary-color',
        			    'type'      => 'color',
        			    'title'     => esc_html__('Primary Color', 'seoland'),
        			    'output_variables' => true,
        			    'default'  => '',
        			    'validate' => 'color',
        			),
        			array(
        			    'id'        => 'themeht-secondary-color',
        			    'type'      => 'color',
        			    'title'     => esc_html__('Secondary Color', 'seoland'),
        			    'output_variables' => true,
        			    'default'  => '',
        			    'validate' => 'color',
        			),
        			array(
        			    'id'        => 'themeht-primary2-color',
        			    'type'      => 'color',
        			    'title'     => esc_html__('Primary Color Two', 'seoland'),
        			    'output_variables' => true,
        			    'default'  => '',
        			    'validate' => 'color',
        			),
        			array(
        			    'id'        => 'themeht-secondary2-color',
        			    'type'      => 'color',
        			    'title'     => esc_html__('Secondary Color Two', 'seoland'),
        			    'output_variables' => true,
        			    'default'  => '',
        			    'validate' => 'color',
        			),
				),
			),
		),
	)
);