<?php
/**
 * Redux Framework color config.
 * For full documentation, please visit: http://devs.redux.io/
 *
 * @package Redux Framework
 */

defined( 'ABSPATH' ) || exit;

Redux::set_section(
	$opt_name,
	array(
		'title'      => esc_html__( 'Color', 'seoland' ),
		'id'         => 'themeht-color',
		'icon'  => 'el el-brush',
		'fields'     => array(
			array(
			    'id'        => 'themeht-primary-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Primary Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#ff6004',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-secondary-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Secondary Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#fe9e30',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-primary2-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Primary Two Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#103ce7',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-secondary2-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Secondary Two Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#64e9ff',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-text-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Text Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#191919',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-body-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Body Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#606060',
			    'validate' => 'color',
			),			
			array(
			    'id'        => 'themeht-white-color',
			    'type'      => 'color',
			    'title'     => esc_html__('White Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#ffffff',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-bg-dark-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Background Dark Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#000229',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-bg-light-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Background Light Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#f7f9fe',
			    'validate' => 'color',
			),
			array(
			    'id'        => 'themeht-border-light-color',
			    'type'      => 'color',
			    'title'     => esc_html__('Border Light Color', 'seoland'),
			    'output_variables' => true,
			    'default'  => '#e1e1e1',
			    'validate' => 'color',
			),
		),
	)
);
