<?php
/**
 * Redux Framework media config.
 * For full documentation, please visit: http://devs.redux.io/
 *
 * @package Redux Framework
 */

defined( 'ABSPATH' ) || exit;

Redux::set_section(
  $opt_name,
  array(
    'title'      => esc_html__( 'Loader Image', 'seoland' ),
    'id'         => 'main-loader',
    'icon'             => 'el el-picture',
    'fields'     => array(
      
      array(
        'id'       => 'loader-switch',
        'type'     => 'switch',
        'title'    => esc_html__( 'Loader Show/Hide', 'seoland' ),
        'default'  => true,
      ),

      array(
        'id'           => 'site-loader',
        'type'         => 'media',
        'url'          => true,
        'title'        => esc_html__( 'Media w/ URL', 'seoland' ),
        'compiler'     => 'true',
        'desc'         => esc_html__( 'Basic media uploader with disabled URL input field.', 'seoland' ),
        'subtitle'     => esc_html__( 'Upload any media using the WordPress native uploader', 'seoland' ),
        'preview_size' => 'full',
      ),
      array(
        'id'                => 'loader-img-height',
        'type'              => 'text',
        'title'             => esc_html__( 'Loader Image Height', 'seoland' ),
        'output_variables'  => true,
      ),
    ),
  )
);
