<?php
/**
 * Redux Framework media config.
 * For full documentation, please visit: http://devs.redux.io/
 *
 * @package Redux Framework
 */

defined( 'ABSPATH' ) || exit;

Redux::set_section(
	$opt_name,
	array(
		'title'      => esc_html__( 'Add Site Logo', 'seoland' ),
		'id'         => 'main-logo',
		'icon'             => 'el el-picture',
		'fields'     => array(
			array(
				'id'           => 'site-logo',
				'type'         => 'media',
				'url'          => true,
				'title'        => esc_html__( 'Media w/ URL', 'seoland' ),
				'compiler'     => 'true',
				'desc'         => esc_html__( 'Basic media uploader with disabled URL input field.', 'seoland' ),
				'subtitle'     => esc_html__( 'Upload any media using the WordPress native uploader', 'seoland' ),
				'preview_size' => 'full',
			),
			
			array(
				'id'           => 'footer-logo',
				'type'         => 'media',
				'url'          => true,
				'title'        => esc_html__( 'Footer Logo', 'seoland' ),
				'compiler'     => 'true',
				'desc'         => esc_html__( 'Basic media uploader with disabled URL input field.', 'seoland' ),
				'subtitle'     => esc_html__( 'Upload any media using the WordPress native uploader', 'seoland' ),
				'preview_size' => 'full',
			),
			
			array(
				'id'                => 'logo-desktop-height',
				'type'              => 'text',
				'title'             => esc_html__( 'Logo Desktop Height', 'seoland' ),
				'output_variables'  => true,
			),
				array(
				'id'                => 'logo-tablet-height',
				'type'              => 'text',
				'title'             => esc_html__( 'Logo Tablet Height', 'seoland' ),
				'output_variables'  => true,
			),
				array(
				'id'                => 'logo-mobile-height',
				'type'              => 'text',
				'title'             => esc_html__( 'Logo Mobile Height', 'seoland' ),
				'output_variables'  => true,
			),
		),
	)
);
