<?php
/**
 * Redux Framework typography config.
 * For full documentation, please visit: http://devs.redux.io/
 *
 * @package Redux Framework
 */

defined( 'ABSPATH' ) || exit;

Redux::set_section(
	$opt_name,
	array(
		'title'  => esc_html__( 'Typography', 'seoland' ),
		'id'     => 'typography',
		'icon'   => 'el el-font',
		'fields' => array(
			array(
				'id'                => 'themeht-typography-body',
				'type'              => 'typography',
				'title'             => esc_html__( 'Body Font', 'seoland' ),
				'subtitle'          => esc_html__( 'Specify the body font properties.', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'body' ),
			),
			
			array(
				'id'                => 'themeht-typography-secondary',
				'type'              => 'typography',
				'title'             => esc_html__( 'Secondary Font', 'seoland' ),
				'subtitle'          => esc_html__( 'Specify the secondary font properties.', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
			),
			
			array(
				'id'                => 'themeht-typography-h1',
				'type'              => 'typography',
				'title'             => esc_html__( 'H1 Font', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'h1, .h1' ),
			),

			array(
				'id'                => 'themeht-typography-h2',
				'type'              => 'typography',
				'title'             => esc_html__( 'H2 Font', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'h2, .h2' ),
			),

			array(
				'id'                => 'themeht-typography-h3',
				'type'              => 'typography',
				'title'             => esc_html__( 'H3 Font', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'h3, .h3' ),
			),

			array(
				'id'                => 'themeht-typography-h4',
				'type'              => 'typography',
				'title'             => esc_html__( 'H4 Font', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'h4, .h4' ),
			),

			array(
				'id'                => 'themeht-typography-h5',
				'type'              => 'typography',
				'title'             => esc_html__( 'H5 Font', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'h5, .h5' ),
			),

			array(
				'id'                => 'themeht-typography-h6',
				'type'              => 'typography',
				'title'             => esc_html__( 'H6 Font', 'seoland' ),
				'google'            => true,
				'font_family_clear' => true,
				'text-shadow'       => false,
				'preview'       => false,
				'subsets'       => false,
				'output_variables'  => true,
				'output'            => array( 'h6, .h6' ),
			),
		),
	)
);
