<?php

/**

 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package seoland
 */

?>


<section class="no-results not-found text-center">
	<div class="container">

	<header class="page-header mb-3">
		<h1><?php esc_html_e( 'Nothing Found', 'seoland' ); ?></h1>
	</header><!-- .page-header -->

	<div>
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-lg-6">
					<?php

		if ( is_home() && current_user_can( 'publish_posts' ) ) :

			printf(
				'<p>' . wp_kses(
					/* translators: 1: link to WP admin new post page. */

					__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'seoland' ),
					array(
						'a' => array(
							'href' => array(),
						),
					)
				) . '</p>',
				esc_url( admin_url( 'post-new.php' ) )
			);



		elseif ( is_search() ) :
			?>
			<p class="mb-3"><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'seoland' ); ?></p>
			<?php
			get_search_form();
		else :
			?>
			<p class="mb-3"><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'seoland' ); ?></p>
			<?php
			get_search_form();
		endif;
		?>
				</div>
			</div>
		</div>
	</div><!-- .page-content -->
</div>
</section><!-- .no-results -->

