<?php

/**

 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package seoland
 */


?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="portfolio-single-page"> 
    <div class="row">
      <div class="col">
        <div class="portfolio-img mb-5"> <?php seoland_theme_post_thumbnail(); ?></div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-8 col-md-12">
        <?php
						if ( 'post' === get_post_type() ) :
							?> <?php endif; ?>
						  <div class="entry-content mt-0"> <?php
						the_content(
							sprintf(
								wp_kses(
									/* translators: %s: Name of current post. Only visible to screen readers */
									__( 'Continue reading
											<span class="screen-reader-text"> "%s"</span>', 'seoland' ),
									array(
										'span' => array(
											'class' => array(),
										),
									)
								),
								wp_kses_post( get_the_title() )
							)
						);

						wp_link_pages(
							array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'seoland' ),
								'after'  => '</div>',
							)
						);
						?> 
					</div>
        <!-- .entry-content --> 
      </div>
      <div class="col-lg-4 col-md-12 mt-5 mt-lg-0">
        <div class="portfolio-meta-info js-sticky">
			<h5><?php echo esc_html__( 'Portfolio Details', 'seoland' ); ?></h5>		
		<ul class="list-unstyled mb-0">
          <li>
            <i class="flaticon-target-icon"></i>
            <div class="info-inner-text">
              <span class="sub-title"> <?php echo esc_html__( 'Created By:', 'seoland' ); ?> </span>
              <span class="title"> <?php the_field('client_name'); ?> </span>
            </div>
          </li>
          <li>
            <i class="flaticon-seo-3"></i>
            <div class="info-inner-text">
              <span class="sub-title"> <?php echo esc_html__( 'Category:', 'seoland' ); ?> </span>
              <span class="title"> <div class="portfolio-cat">
                      <?php echo get_the_term_list( get_the_ID(), 'portfolio_category', '', ', ' ); ?>
                      </div> </span>
            </div>
          </li>
          <li>
            <i class="flaticon-report"></i>
            <div class="info-inner-text">
              <span class="sub-title"> <?php echo esc_html__( 'Timeframe:', 'seoland' ); ?> </span>
              <span class="title"> <?php the_field('timeframe'); ?> </span>
            </div>
          </li>
          <li>
            <i class="flaticon-gps"></i>
            <div class="info-inner-text">
              <span class="sub-title"> <?php echo esc_html__( 'Location:', 'seoland' ); ?> </span>
              <span class="title"> <?php the_field('portfolio_location'); ?> </span>
            </div>
          </li>
        </ul>
		</div>
      </div>
    </div>
  </div>
 </article>

 <!-- #post-<?php the_ID(); ?> -->